%define        gimpver          2.8.0
%define        _gimppluginsdir  %{_libdir}/gimp/%{gimpver}/plug-ins

Name:          gimp-separate+
Version:       0.5.8
Release:       1%{?dist}
Summary:       A plug-in providing rudimentary CMYK support for The GIMP
Group:         Applications/Multimedia
URL:           http://cue.yellowmagic.info/softwares/separate.html
Source:        http://gimp-registry.fargonauten.de/files/separate+-%{version}.zip
License:       GPLv2+
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: gettext
BuildRequires: gimp-devel
BuildRequires: glib2-devel >= %{gimpver}
BuildRequires: glibc-devel
BuildRequires: gtk2-devel
BuildRequires: lcms-devel
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: pango-devel

Provides:	gimp-cmyk

Requires:      gimp >= %{gimpver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root


%description
Separate+ is a GIMP plug-in that convert an RGB image to CMYK format.

%prep

%setup -q  -n separate+-%{version}

%build
# XXX to fix "/usr/bin/ld: psd.o: undefined reference to symbol
# 'ceil@@GLIBC_2.2.5'" we hijack JPEG_LIB to pass additional stuff
%{__make} %{?_smp_mflags} \
	JPEG_LIB="-ljpeg -lm"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m755 separate \
   %{buildroot}%{_gimppluginsdir}/separate
install -D -m755 separate_import \
   %{buildroot}%{_gimppluginsdir}/separate_import 
install -D -m755 icc_colorspace \
   %{buildroot}%{_gimppluginsdir}/icc_colorspace 

mkdir -p %{buildroot}%{_datadir}/color/icc

cp sRGB/sRGB_type2.icc  %{buildroot}%{_datadir}/color/icc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_gimppluginsdir}/separate
%{_gimppluginsdir}/separate_import
%{_gimppluginsdir}/icc_colorspace
%{_datadir}/color/icc/*.icc
%doc COPYING README README_ICC_COLORSPACE

%changelog
* Mon Feb 11 2013 Peter Hanecak <hany@hany.sk> 0.5.8-1
- initial spec using the one created by Tiziana Ferro <tiziana.ferro@email.it>

